# Uses of Class
org.apache.sling.feature.maven.FeatureProjectInfo

Packages that use FeatureProjectInfo
Package
Description
org.apache.sling.feature.maven

## Uses of FeatureProjectInfo in org.apache.sling.feature.maven

Fields in org.apache.sling.feature.maven with type parameters of type FeatureProjectInfo
Modifier and Type
Field
Description
`final Map<String,FeatureProjectInfo>`
Environment.`modelProjects`
The projects for the preprocessor.
Methods in org.apache.sling.feature.maven with parameters of type FeatureProjectInfo
Modifier and Type
Method
Description
`protected org.apache.sling.feature.builder.FeatureProvider`
Preprocessor.`createFeatureProvider(Environment env, FeatureProjectInfo info, boolean isTest, boolean skipAddDependencies, String dependencyScope, List<org.apache.sling.feature.Feature> projectFeatures)`
`static FeatureProjectConfig`
FeatureProjectConfig.`getMainConfig(FeatureProjectInfo info)`
`static FeatureProjectConfig`
FeatureProjectConfig.`getTestConfig(FeatureProjectInfo info)`
`protected void`
Preprocessor.`readProjectFeatures(org.codehaus.plexus.logging.Logger logger, FeatureProjectInfo info, FeatureProjectConfig config)`
Read the features for a feature project.
`static void`
ProjectHelper.`storeProjectInfo(FeatureProjectInfo info)`
Store all relevant information about the project for plugins to be retrieved